#!/bin/bash
clear
RED='\033[0;31m'
GRN='\033[0;32m'
BLU='\033[0;34m'
NC='\033[0m'
echo ""
echo ""
echo -e "开启系统允许安装任何来源的软件 ${RED}Goodmidi.top${NC}"
echo ""
echo ""
PS3='请输入您的选择: '
options=("开启系统(任何来源)" "关闭系统(任何来源)" "只安装单个软件" "退出")
select opt in "${options[@]}"
do
	case $opt in
		"开启系统(任何来源)")
			echo ""
			echo -e "${GRN}你选择开启任何来源${NC}"
			echo ""
			echo -e "${RED}请输入系统密码${NC}"
			echo ""
			sudo spctl --master-disable
			break
			;;
		"关闭系统(任何来源)")
			echo ""
			echo -e "${GRN}你选择关闭任何来源${NC}"
			echo ""
			echo -e "${RED}请输入系统密码${NC}"
			echo ""
			sudo spctl --master-enable
			break
			;;
		"只安装单个软件")
			echo ""
			echo -e "${GRN}你选择只安装单个软件${NC}"
			echo ""
			read -e -p "将软件拖放到此处，然后按回车键: " FILEPATH
			echo ""
			echo -e "${RED}请输入系统密码${NC}"
			echo ""
			sudo xattr -rd com.apple.quarantine "$FILEPATH"
			break
			;;
		"退出")
			break
			;;
		*) echo "无效选项 $REPLY";;
	esac
done